<template>
    <v-row>
        <v-col cols="12">
            <h1 class="my-4">
                Privacy Policy
            </h1>
            <v-card class="privacy-policy-card">
                <v-card-subtitle>
                    <p class="text-left">
                        <i>Last update: {{ lastUpdate }}</i>
                    </p>
                </v-card-subtitle>
            </v-card>
            <v-card class="privacy-policy-card">
                <v-card-subtitle>
                    <p class="text-left">
                        Instavigator (“Company” or “We”) respect your privacy and we are committed to protecting it through our compliance with this policy. This policy describes the types of information we may collect from you or that you may provide when you visit the website www.instavigator.com and related applications and services offered by Company (our “Website”) and our practices for collecting, using, maintaining, protecting and disclosing that information.
                    </p>
                    <p class="text-left mb-0">
                        This policy applies to information we collect:
                    </p>
                    <ul class="text-left">
                        <li v-for="list in applyListCollect"
                            :key="list"
                            class="px-2 py-2">
                            {{ list }}
                        </li>
                    </ul>
                    <p class="text-left mb-0">
                        It does not apply to information collected by:
                    </p>
                    <ul class="text-left">
                        <li v-for="list in notApplyListCollect"
                            :key="list"
                            class="px-2 py-2">
                            {{ list }}
                        </li>
                    </ul>
                </v-card-subtitle>
            </v-card>
            <v-card v-for="(item, key) in policies"
                    :key="key"
                    class="privacy-policy-card">
                <v-card-title>
                    {{ item.name }}
                </v-card-title>
                <v-card-subtitle>
                    <p v-for="text in item.text"
                       :key="text"
                       class="text-left">
                        {{ text }}
                    </p>
                    <ul class="text-left">
                        <li v-for="list in item.list"
                            :key="list"
                            class="px-2 py-2">
                            {{ list }}
                        </li>
                    </ul>
                </v-card-subtitle>
                <v-card-subtitle v-if="key === 'infoWeCollect'">
                    <p class="text-left">
                        As you navigate through and interact with our Website, we may use automatic data collection technologies to collect certain information about your equipment, browsing actions and patterns, including:
                    </p>
                    <ul class="text-left">
                        <li class="px-2 py-2">
                            Details of your visits to our Website, including traffic data, location data, logs and other communication data and the resources that you access and use on the Website.
                        </li>
                        <li class="px-2 py-2">
                            Information about your computer and internet connection, including your IP address, operating system and browser type.
                        </li>
                    </ul>
                    <p class="text-left">
                        We also may use these technologies to collect information about your online activities over time and across third-party websites or other online services (behavioral tracking).
                    </p>
                    <p class="text-left">
                        The information we collect automatically is statistical data and does not include personal information, but we may maintain it or associate it with personal information we collect in other ways or receive from third parties. It helps us to improve our Website and to deliver a better and more personalized service, including by enabling us to:
                    </p>
                    <ul class="text-left">
                        <li class="px-2 py-2">
                            Estimate our audience size and usage patterns.
                        </li>
                        <li class="px-2 py-2">
                            Store information about your preferences, allowing us to customize our Website according to your individual interests.
                        </li>
                        <li class="px-2 py-2">
                            Speed up your searches.
                        </li>
                        <li class="px-2 py-2">
                            Recognize you when you return to our Website.
                        </li>
                    </ul>
                    <p class="text-left">
                        The technologies we use for this automatic data collection may include:
                    </p>
                    <ul class="text-left">
                        <li class="px-2 py-2">
                            Cookies (or browser cookies). A cookie is a small file placed on the hard drive of your computer. You may refuse to accept browser cookies by activating the appropriate setting on your browser. However, if you select this setting you may be unable to access certain parts of our Website. Unless you have adjusted your browser setting so that it will refuse cookies, our system will issue cookies when you direct your browser to our Website.
                        </li>
                        <li class="px-2 py-2">
                            Flash Cookies. Certain features of our Website may use locally stored objects (or Flash cookies) to collect and store information about your preferences and navigation to, from and on our Website. Flash cookies are not managed by the same browser settings as are used for browser cookies. For information about managing your privacy and security settings for Flash cookies, see below, Choices about How We Use and Disclose Your Information.
                        </li>
                    </ul>
                    <p class="text-left">
                        We do not collect personal Information automatically, but we may tie this information to personal information about you that we collect from other sources or you provide to us.
                    </p>
                </v-card-subtitle>
            </v-card>
        </v-col>
    </v-row>
</template>

<script>
export default {
    name: 'PrivacyPolicy',
    data: () => ({
        lastUpdate: 'May 05 2020',
        applyListCollect: [
            'On our Website.',
            'In e-mail, text and other electronic messages between you and our Website.',
            'When you interact with our advertising and applications on third-party websites and services if those applications or advertising include links to this policy.',
            'When you voluntarily share information from your Instagram account.'
        ],
        notApplyListCollect: [
            'us offline or through any other means, including on any other website operated by Company or any third party (including our affiliates and subsidiaries); or',
            'any third party, including through any application or content (including advertising) that may link to or be accessible from the Website.'
        ],
        policies: {
            childrenUnderTheAgeOf13: {
                name: 'Children Under the Age of 13',
                text: [
                    'Our Website is not intended for children under 13 years of age. No one under age 13 may provide any information to the Website. We do not knowingly collect personal information from children under 13. If you are under 13, do not use or provide any information on our Website or on or through any of its features/register on the Website, make any purchases through the Website, use any of the interactive or public comment features of our Website or provide any information about yourself to us, including your name, address, telephone number, e-mail address or any screen name or user name you may use. If we learn we have collected or received personal information from a child under 13 without verification of parental consent, we will delete that information. If you believe we might have any information from or about a child under 13, please contact us legal@instavigator.com',
                    'Information We Collect About You and How We Collect It:'
                ],
                list: [
                    'We collect several types of information from and about users of our Website, including information:',
                    'by which you may be personally identified, such as name, postal address, e-mail address, or, if you choose to share it, your Instagram handle and any other identifier by which you may be contacted online or offline (“personal information”)',
                    'that is about you but individually does not identify you, such as your Instagram handle and geolocation and/or about your internet connection, the equipment you use to access our Website and usage details.'
                ]
            },
            infoYouProvideToUs: {
                name: 'Information You Provide to Us.',
                text: [
                    'The information we collect on or through our Website may include:'
                ],
                list: [
                    'Information that you provide by filling in forms on our Website. This includes information provided at the time of registering to use our Website, subscribing to our service (including billing information and Instagram account information), or requesting further services.',
                    'Records and copies of your correspondence (including e-mail addresses), if you contact us.',
                    'Details of transactions you carry out through our Website and of the fulfillment of your orders.'
                ]
            },
            infoWeCollect: {
                name: 'Information We Collect Through Automatic Data Collection Technologies.',
                text: []
            },
            howWeUseYourInfo: {
                name: 'How We Use Your Information',
                text: [
                    'We use information that we collect about you or that you provide to us, including any personal information:'
                ],
                list: [
                    'To present our Website and its contents to you.',
                    'To provide you with information, products or services that you request from us.',
                    'To fulfill any other purpose for which you provide it.',
                    'To personalize user’s experiences and to provide you with notices about your account/subscription, including expiration and renewal notices.',
                    'To carry out our obligations and enforce our rights arising from any contracts entered into between you and us, including for billing and collection.',
                    'To notify you about changes to our Website or any products or services we offer or provide through it.',
                    'To improve customer experience.',
                    'In any other way, we may describe when you provide the information.',
                    'For any other purpose with your consent.'
                ]
            },
            disclosureOfYourInfo: {
                name: 'Disclosure of Your Information',
                text: [
                    'We may disclose aggregated information about our users and information that does not identify any individual, without restriction. We may disclose personal information that we collect or you provide as described in this privacy policy:'
                ],
                list: [
                    'To our subsidiaries and affiliates.',
                    'To contractors, service providers and other third parties we use to support our business and who are bound by contractual obligations to keep personal information confidential and use it only for the purposes for which we disclose it to them.',
                    'To a buyer or other successor in the event of a merger, divestiture, restructuring, reorganization, dissolution or other sale or transfer of some or all of Company assets, whether as a going concern or as part of bankruptcy, liquidation or similar proceeding, in which personal information held by Company about our Website users is among the assets transferred.',
                    'To fulfill the purpose for which you provide it.',
                    'For any other purpose disclosed by us when you provide the information.',
                    'With your consent.'
                ]
            },
            howWeUseYourDisclosureInfo: {
                name: 'Choices About How We Use and Disclose Your Information',
                text: [
                    'We do not control third parties’ collection or use of your information to serve interest-based advertising. However, the third parties that uses may provide you with ways to choose not to have your information collected or used in this way.',
                    'We strive to provide you with choices regarding the personal information you provide to us. We have created mechanisms to provide you with the following control over your information:'
                ],
                list: [
                    'Tracking Technologies and Advertising. You can set your browser to refuse all or some browser cookies or to alert you when cookies are being sent. To learn how you can manage your Flash cookie settings, visit the Flash player settings page on Adobe’s website. If you disable or refuse cookies, please note that some parts of this site may then be inaccessible or not function properly.',
                    'Disclosure of Your Information for Third-Party Advertising. We do not sell, trade, or otherwise transfer your personal information unless we provide you with advance notice. However, this does not include website hosting partners and other third parties who assist us in operating our website, conducting our business, or servicing so, so long as those parties agree to keep your information confidential.',
                    'Targeted Advertising. If you do not want us to use information that we collect or that you provide to us to deliver advertisements according to our advertisers’ target-audience preferences, you can opt-out by sending us an e-mail stating your request to legal@instavigator.com'
                ]
            },
            accessingYourGmailBox: {
                name: 'Accessing your Gmail Inbox',
                text: [
                    'We use open authorization services such as Google OAuth. These services authenticate your identity and provide you the option to share certain information with us, including your name, email address, and access to your email inbox. In particular, we may need to access your inbox folder in order to detect emails to and from contacts that you designate in Shirley, an app that is part of our Website; this is necessary in order to make the core functionality of Shirley work as intended. You can revoke access at any time.',
                    'Also, we may store your authentication token and account email address. This data will be securely stored in order to be used by Shirley to provide you with the services (including but not limited to logging in to your account, sending emails via the Shirley platform, accessing emails you sent and viewing replies you received). Under no circumstances will this data be voluntarily shared with any third parties; Company would only provide this information to legal authorities upon their rightful request or in the case of an emergency. Should you choose to disconnect your Gmail account or choose to close your account, any information from Google stored on our servers will be deleted permanently.',
                    'We do not store any data from your Gmail inbox other than your authentication token.'
                ]
            },
            limitOfUseGoogleUserData: {
                name: 'Additional Limits on the use of Google User Data',
                text: [
                    'Notwithstanding anything else in this Privacy Policy, if you provide the Website access to the following types of your Google data, the Website’s use of that data will be subject to these additional restrictions:'
                ],
                list: [
                    'The Website will only use access to read, write, modify, or control Gmail message bodies (including attachments), metadata, headers, and settings to provide you with user-facing features that are prominent in the requesting app’s user interface. We will not transfer this Gmail data to others unless doing so is necessary to provide and improve these features, comply with applicable law, or as part of a merger, acquisition, or sale of assets.',
                    'The Website will not use this Gmail data for serving advertisements.',
                    'The Website will not allow humans to read this data unless we have your affirmative agreement for specific messages, doing so is necessary for security purposes such as investigating abuse, to comply with applicable law, or for the Website’s internal operations and even then only when the data have been aggregated and anonymized.'
                ]
            },
            accessingAndCorrectingYourInfo: {
                name: 'Accessing and Correcting Your Information',
                text: [
                    'You may also send us an e-mail at legal@instavigator.com to request access to, correct or delete any personal information that you have provided to us. We may not accommodate a request to change information if we believe the change would violate any law or legal requirement or cause the information to be incorrect.'
                ]
            },
            californiaPrivacyRights: {
                name: 'Your California Privacy Rights',
                text: [
                    'We do not sell, trade, or otherwise transfer to outside third parties your personal information. California Civil Code Section § 1798.83 permits users of our Website that are California residents to request certain information regarding our disclosure of personal information to third parties for their direct marketing purposes. To make such a request, please send an e-mail to legal@instavigator.com'
                ]
            },
            dataSecurity: {
                name: 'Data Security',
                text: [
                    'We have implemented measures designed to secure your personal information from accidental loss and from unauthorized access, use, alteration, and disclosure. All information you provide to us is stored on our secure servers behind firewalls.',
                    'The safety and security of your information also depend on you. Where we have given you (or where you have chosen) a password for access to certain parts of our Website, you are responsible for keeping this password confidential. We ask you not to share your password with anyone.',
                    'Unfortunately, the transmission of information via the internet is not completely secure. Although we do our best to protect your personal information, we cannot guarantee the security of your personal information transmitted to our Website. Any transmission of personal information is at your own risk. We are not responsible for circumvention of any privacy settings or security measures contained on the Website.'
                ]
            },
            changesToOurPrivacyPolicy: {
                name: 'Changes to Our Privacy Policy',
                text: [
                    'We have the discretion to update this privacy policy at any time. You acknowledge and agree that it is your responsibility to review this privacy policy periodically and become aware of modifications.'
                ]
            },
            contactInfo: {
                name: 'Contact Information',
                text: [
                    'To ask questions or comment about this privacy policy and our privacy practices, contact us at legal@instavigator.com'
                ]
            }
        }
    })
}
</script>

<style lang="scss" scoped>
.privacy-policy-card.v-card:not(.v-sheet--tile):not(.v-card--shaped)
{
    border-radius: 0;
}
</style>
